__gnu_parallel::_SplitConsistently< false, _RAIter, _Compare, _SortingPlacesIterator > Struct Template Reference

`#include <multiway_mergesort.h>`

## Public Member Functions

void | operator() (const _ThreadIndex __iam, _PMWMSSortingData< _RAIter > *__sd, _Compare &__comp, const typename std::iterator_traits< _RAIter >::difference_type __num_samples) const

## Detailed Description

template<typename _RAIter, typename _Compare, typename _SortingPlacesIterator>
struct __gnu_parallel::_SplitConsistently< false, _RAIter, _Compare, _SortingPlacesIterator >

Split by sampling.

Definition at line 187 of file multiway_mergesort.h.

## Member Function Documentation

## operator()()

template<typename _RAIter , typename _Compare , typename _SortingPlacesIterator >

void __gnu_parallel::_SplitConsistently< false, _RAIter, _Compare, _SortingPlacesIterator >::operator() | ( | const _ThreadIndex | __iam,
|  | _PMWMSSortingData< _RAIter > * | __sd,
|  | _Compare & | __comp,
|  | const typename std::iterator_traits< _RAIter >::difference_type | __num_samples
| ) |  | const

inline

Definition at line 190 of file multiway_mergesort.h.

The documentation for this struct was generated from the following file:

- multiway_mergesort.h